OSMIUM-SHOW(1)

NAME
osmium-show - show OSM file

SYNOPSIS
osmium show [OPTIONS] OSM-FILE

DESCRIPTION
Show the contents of the OSM-FILE on STDOUT, usually in a pager. The output format can be set using the output-format/-f option, its shortcuts -d (debug format with colors), -o (OPL), or -x (XML), or the OSMIUM_SHOW_FORMAT environment variable.

The pager can be set with the OSMIUM_PAGER or the PAGER environment variable. If neither is set, the default less is used unless the option --no-pager is used. If the pager variables are set to an empty value or to cat, no pager is used. On Windows there is no pager support at all.

This commands reads its input file only once, ie. it can read from STDIN.

OPTIONS

-f, --output-format=FORMAT
    The format of the output file. Can be used to set the output file format if it can’t be autodetected from the output file name. See osmium-file-formats(5) or the libosmium manual for details.

--no-pager
    Disable pager.

-d, --format-debug
    Same as -f debug,color=true.

-o, --format-opl
    Same as -f opl.

-x, --format-xml
    Same as -f xml.

-t, --object-type=TYPE
    Read only objects of given type (node, way, relation, changeset). By default all types are read. This option can be given multiple times.

COMMON OPTIONS

-h, --help
    Show usage help.

INPUT OPTIONS

-F, --input-format=FORMAT
    The format of the input file(s). Can be used to set the input format if it can’t be autodetected from the file name(s). This will set the format for all input files, there is no way to set the format for some input files only. See osmium-file-formats(5) or the libosmium manual for details.

DIAGNOSTICS
osmium show exits with exit code

0   if everything went alright,

1   if there was an error processing the data, or

2   if there was a problem with the command line arguments.

MEMORY USAGE
osmium show does all its work on the fly and doesn’t keep much data in main memory.

EXAMPLES
Show an OSM file using the default pager and default format:

        osmium show norway.osm.pbf

Use more as a pager and only show relations:

        OSMIUM_PAGER=more osmium show -t r norway.osm.pbf

Show using XML format:

        osmium show -x norway.osm.pbf

SEE ALSO

•   osmium(1), osmium-cat(1), osmium-file-formats(5)

•   Osmium website (https://osmcode.org/osmium-tool/)

COPYRIGHT

Copyright (C) 2013-2026 Jochen Topf <jochen@topf.org>.

License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

CONTACT

If you have any questions or want to report a bug, please go to https://osmcode.org/contact.html

AUTHORS
Jochen Topf <jochen@topf.org>.